DEVS-Fire API

getWindSpeed

Returns the current wind speed.

POST
/getWindSpeed

Query Parameters

Prop

Type

import requestsbase_url: str = "https://firesim.cs.gsu.edu/api/getWindSpeed/"params: dict[str, str] = {    "userToken": "abc123xyz",}response = requests.post(base_url, params=params)print(response.text)
"0.0"
{
  "timestamp": "2026-05-20T16:41:16.705+00:00",
  "status": 500,
  "error": "Internal Server Error",
  "path": "/api/getWindSpeed"
}

Response Body

text/plain

application/json